Advertisement:

Author Topic: Forum upgrade from 1.1.19 to 2.0.14  (Read 2425 times)

Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Forum upgrade from 1.1.19 to 2.0.14
« on: August 22, 2017, 03:37:45 AM »
I am trying to do a SMF forum upgrade from version 1.1.19 to 2.0.14

The forum was working well until I uploaded the patch for an upgrade.

Now I get the error "Fatal error: Function name must be a string in /home/www/mysub.forum.com/Sources/Load.php on line 133"

The forum in a sub domain and can only be accessed without the "www".

I already have a 301 redirect from www to non www in htaccess. This used to work before the upgrade.


Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #2 on: August 22, 2017, 11:58:43 AM »
I tried a new install using the following instructions
Quote
I always hear too much of this 'install 1.1.x/2.0 and then import my existing database'... this is very bad route to go... and an almost pointless one.  Why install SMF only to wipe out the database anyway?  An extra step for no reason.

All you need to do is this:
Grab a copy of the 2.0 Large upgrade pack
Grab a copy of your 1.1.x database and Settings.php file for your install
Upload the database to a test database and put all of the files from the Large upgrade pack and then Settings.php into a folder.
Edit Settings.php to point to the test database.
Run upgrade.php

BAM - you're now at SMF 2.0

As for 3.0... it's a ways off, and yes, you'll have to do this same procedure with it too (and likely 2.1 too)

This is the result.
(link removed)

I also ran settings repair
(link removed)



Edited to remove links which reveal your database password. ~ Steve
« Last Edit: August 22, 2017, 02:07:29 PM by Steve »

Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #3 on: August 22, 2017, 07:05:00 PM »
When I run upgrade.php, I get the following errors.

Undefined index: upgrade_upgrade_utility in /home/www/xxx/test/upgrade.php on line 3485

Undefined index: upgrade_progress in /home/www/xxx/test/upgrade.php on line 3497



    Notice: Undefined index: upgrade_step in /home/www/xxx/test/upgrade.php on line 3502
    1: Login

    Notice: Undefined index: upgrade_step in /home/www/xxx/test/upgrade.php on line 3502
    2: Upgrade Options

    Notice: Undefined index: upgrade_step in /home/www/xxx/test/upgrade.php on line 3502
    3: Backup

    Notice: Undefined index: upgrade_step in /home/www/xxx/test/upgrade.php on line 3502
    4: Database Changes

    Notice: Undefined index: upgrade_step in /home/www/xxx/test/upgrade.php on line 3502
    5: Delete Upgrade

Notice: Undefined index: upgrade_time_elapsed in /home/www/xxx/test/upgrade.php on line 3536
: 0
Notice: Undefined index: upgrade_time_mins in /home/www/xxx/test/upgrade.php on line 3537
, 3
Notice: Undefined index: upgrade_time_secs in /home/www/xxx/test/upgrade.php on line 3537
.

After running Settings Repair, I get this.

    
Notice: Undefined index: database_error in /home/www/forum.glo-net.com/test/Sources/Subs-Db-mysql.php on line 1407

Fatal error: Call to undefined function allowedTo() in /home/www/forum.glo-net.com/test/Sources/Subs-Db-mysql.php on line 1408


Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #4 on: August 25, 2017, 12:49:44 PM »
Based on the lack of response, looks like it is not possible to upgrade the Forum from 1.1.19 to 2.0.14.

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 6,840
  • Too long in the wasteland
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #5 on: August 25, 2017, 01:39:39 PM »
Are you on GoDaddy?

Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #6 on: August 26, 2017, 03:24:10 AM »
No.

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 6,840
  • Too long in the wasteland
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #7 on: August 26, 2017, 04:08:05 PM »
You may be experiencing a variation of this, possibly due to bad server configuration.  Do you have good backups of files and database for 1.1.19 forum?  Can you get it running in 1.1.19?

Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #8 on: August 28, 2017, 07:43:55 AM »
It is running on 1.1.19.

Here is the link http://forum.glo-net.com/ [nofollow]

Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #9 on: August 28, 2017, 10:40:42 AM »
I am trying to do a clean install of 1.1.19 and from there, upgrade to 2.0.14

1) I downloaded 1.1.19 from SMF download server and installed it in a new directory
2) I created a new database with new user for this.
3) when going to "forum.glo-net.com/test/install.php" I get the following errors

Quote
Deprecated: Function mysql_list_tables() is deprecated in /home/www/forum.glo-net.com/test/install.php on line 615
Some of the queries were not executed properly. This could be caused by an unsupported (development or old) version of MySQL.

Technical information about the queries:
Line #18: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 12
Line #44: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 21
Line #56: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 7
Line #132: Table 'glowboss_forum.smf_board_permissions' doesn't exist
Line #162: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 24
Line #170: Table 'glowboss_forum.smf_boards' doesn't exist
Line #186: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 10
Line #198: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 7
Line #267: Table 'glowboss_forum.smf_calendar_holidays' doesn't exist
Line #303: Table 'glowboss_forum.smf_calendar_holidays' doesn't exist
Line #317: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 8
Line #324: Table 'glowboss_forum.smf_categories' doesn't exist
Line #335: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 5
Line #352: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 12
Line #366: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 9
Line #382: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 11
Line #398: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 11
Line #412: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 9
Line #423: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 6
Line #439: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 11
Line #450: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 6
Line #463: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 8
Line #474: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 6
Line #486: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 7
Line #501: Too big precision 14 specified for column 'logTime'. Maximum is 6.
Line #512: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 6
Line #525: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 8
Line #536: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 6
Line #551: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 10
Line #566: Table 'glowboss_forum.smf_membergroups' doesn't exist
Line #630: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 58
Line #659: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 24
Line #667: Table 'glowboss_forum.smf_messages' doesn't exist
Line #678: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 5
Line #689: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 6
Line #733: Table 'glowboss_forum.smf_permissions' doesn't exist
Line #751: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 12
Line #763: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 7
Line #773: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 5
Line #943: Table 'glowboss_forum.smf_settings' doesn't exist
Line #955: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 6
Line #971: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 11
Line #997: Table 'glowboss_forum.smf_smileys' doesn't exist
Line #1010: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 7
Line #1045: Table 'glowboss_forum.smf_themes' doesn't exist
Line #1070: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 19
Line #1077: Table 'glowboss_forum.smf_topics' doesn't exist
Line #0: Incorrect table name ''

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 6,840
  • Too long in the wasteland
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #10 on: August 28, 2017, 01:14:32 PM »
Your getting errors on your 1.1.19 forum.  Which php and mysql versions is your host running?

Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #11 on: August 28, 2017, 08:03:46 PM »
PHP Version 5.4.45

MySQL Version 5.6.27


Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 6,840
  • Too long in the wasteland
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #12 on: August 28, 2017, 10:39:23 PM »
1.1.19 and 2.0.14 should work in that environment.  The line numbers in the error at the bottom of your forum do not correspond to 1.1.19 Subs.php.  I would need access to your cpanel to do anything with this.  If you can pm link/username/password I'll have a look.

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 6,840
  • Too long in the wasteland
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #13 on: August 29, 2017, 06:28:39 PM »
Ok, you're up and running in 2.0.14.  You'll need to install a 2.0 theme.  Kind of a mess, your database was 38mb, 37mb was error log.  Your test install is 1.0.19, not 1.1.19.  You have over 3000 spammers awaiting activation.  Was unable to run upgrade or repair settings in your root forum directory, had to do a clean install connected to your production database in another directory, run the upgrade there, then reconnect the 2.0.14 root install to the upgraded db.  No idea what was wrong, but it's working now.  There's a dead RSS link upper right, that may have been from this mod.  Don't know why the link is still there, you can reinstall the mod if you need it, it's update through 2.0.4. 

I deleted the new install I used for upgrade, left your test install.  Created an FTP account for sirosis in your cpanel, and a Sir Osis admin account in the forum.  You can remove them if we're done.

Check everything

Offline TexRash

  • Semi-Newbie
  • *
  • Posts: 11
Re: Forum upgrade from 1.1.19 to 2.0.14
« Reply #14 on: August 30, 2017, 12:32:38 AM »
Thank you Sir Oasis for your assistance. Everything is up to date. Now just doing some fine tuning.
You deserve a beer for your valuable help. How do I get you one? PayPal!